Kino Video Editor
Release Notes


V 1.3.4

* New Slovenian translation
* Build and export fixes


V 1.3.3

* New DVD Video authoring script that launches the Brasero burning application
* New export script for the PLAYSTATION 3
* New Chinese (Traditional) translation
* Updated Catalan translation

NOTE: The default value for the audio device is changed to /dev/dsp (OSS) to be
more compatible with PulseAudio, which is suddenly very commonplace. It is
compatible with most ALSA setups through the OSS emulation modules. It bypasses
PulseAudio by default, whose ALSA module does not work well with Kino. Finally,
in this configuration, it is easy to make it use PulseAudio with A/V synch
using the padsp wrapper. If you do not use PulseAudio and just want to use ALSA
then you can still set the Audio Device to "default" or some other PCM name
in Kino's Preferences.


V 1.3.2

Just some build-related fixes.


V 1.3.1

* Added HuffYUV AVI export
* Added option not to recover to the crash detection dialog
* New Belarusian translation by Hleb Valoshka
* Updated Finnish and French translations
* Bug fixes

NOTE: configure's --enable-udev-rules-dir has changed to --with-udev-rules-dir


V 1.3.0

* Updated export scripts for ffmpeg changes (x264, mp3)
* Improved speed on SMP systems by enabling FFmpeg multi-threaded codecs
* Improved import (DV conversion) progress dialog
* Added gstreamer-based Ogg Theora to the blip.tv publishing script
* Added quality level option to the blip.tv publishing script
* Updated Hungarian translation
* Added Ukranian translation by Yuri Chornoivan


V 1.2.0

* New Ogg Theora export script that uses gstreamer (gst-launch)
* New Quicktime DV export script that uses ffmpeg (useful when Kino not built
  with libquicktime)
* New variable substitution in Titler Video Filter!
  The following variables are supported:
  #timecode# (movie timecode as seen at the bottom of the window),
  #dv.timecode# (DV timecode)
  #dv.datetime# (recording date and time)
  #dv.date# (recording date)
  #dv.time# (recording time)
  #dv.filename# - base file name of clip
  #filename# - project file name
  #meta.*# - storyboard meta data, e.g. #meta.title#
* Added Finnish translation by Antti Sokero


V 1.1.1

* bugfix segfault on crash recovery with gtk+ version < 2.11


V 1.1.0

* Heavily update English user manual
* Major performance improvement in player engine when frame dropping enabled
* Updated export scripts to improve compatibility
* New Catalan translation
* Bug fixes


V 1.0.0 "Stick a fork in it"

* New http://blip.tv/ uploading feature for movies and still frames!
  See http://kino.blip.tv/ for more information.

* Fixed audio handling on big endian CPU architectures (thanks, Pavel Fedin)

* Improved generic video import script when using mencoder: faster, no bulky
  intermediate file, less compatibility problem between mencoder and ffmpeg,
  and retains interlacing in ITU-R 601 sources

* Added support for X-Keys Editor USB Jog/Shuttle (thanks, Shawn Rutledge)

* Added support for Jog/Shuttle to FX (jog wheel and button actions that 
  scrub only--no shuttle ring support)

* The USB Jog/Shuttle hotplug integration was changed to use udev.
  The new configure option is --enable-udev-rules-dir, which defaults
  to $sysconfdir/udev/rules.d/
  The follwing configure options were removed:
    --enable-hotplug-script-dir
    --enable-hotplug-usermap-dir

* Added private copy of ffmpeg source code for static linking with new
  configure options:
    --enable-local-ffmpeg(=yes by default), or
    --disable-local-ffmpeg
  NOTE: This option builds a statically linked, kino-specific version of the
  ffmpeg transcode utility named 'ffmpeg-kino' that is invoked by the Kino
  import script. ffmpeg-kino contains a bugfix for reading the audio on 
  imported files. However, when --enable-local-ffmpeg=no, then the import
  script uses the normal ffmpeg found in the PATH.

* Updated Italian translation

* bugfixes, of course

NOTE: versions 0.9.4 and 0.9.5 contained a bad configure option to enable
a build without the ffmpeg DV video codec. This has been corrected so that
--with-libdv-only works correctly.


V 0.9.5

* New Levels video filter replaces Gamma with keyframing of brightness,
  contrast, gamma, hue, saturation, value, and white balance (colour
  temperature with colour picker and green cast).
* Updated translations: French, Czech, Danish.
* Debut of French online help created using new web-based collaborative
  docbook authoring system.
* bugfixes


V 0.9.4

* New KinoPlus-based FX plugins: Colour Average, Charcoal, Gamma, Jerky,
  Pan & Zoom, Pixelate, Composite Transition, Blue and Green Chroma Key
* New Fade In and Fade Out video filters
* Added non-WAV file support to audio filters Dub and Mix when you have ffmpeg
  and oggdec installed
* New Audio Gain filter with curve control
* Added curve controls to audio filters Dub and Mix
* Improved FX preview with multithreaded frame dropping (much better audio)
* Improved playback in Edit with frame dropping enabled
* Improved consistency and usability of FX user interface through tooltips,
  labels, and percentage-oriented widgets
* Added recent files (projects only) to File menu
* New docbook-based manual with collaboration website:
  http://www.kinodv.org/docbook/
* Internationalisation support for online help (translations pending)
* Online help now uses Yelp under GNOME to view docbook XML and Konqueror
  under KDE to view docbook-converted HTML
* New crash auto-recover feature that restores undo history (stored in
  $HOME/.kino-history)
* Updated translations: French, Spanish, Danish, Swedish, Czech, Hungarian,
  Russian.
* Added automatic widescreen and proper PAL support to Export/Other scripts

IMPORTANT: This version of Kino will overwrite an installed KinoPlus plugin
with its own.

NOTE: The configure option --with-avcodec is removed and build defaults to
using the superior quality of the FFMPEG DV codec. If you can not use FFMPEG
and can only use libdv, then use the option --with-libdv-only. Also, even when
using FFMPEG, libdv is still a requirement for its superior audio and metadata
handling.

TIP: Just like all of the import, export, and publish functionality, the
audio input (for Dub and Mix) is extensible through a shell script if the
existing script does not work well enough for you. You can modify the one
installed at $prefix/share/kino/import/audio.sh
or you can override it by placing an audio.sh in either
$HOME/kino/import/ or $KINO_HOME/import/.


V 0.9.3

* Bugfix SMIL 2.0 parsing on numeric locales not using period as decimal point.
* Update FFMPEG export scripts to support latest version.
* Added SRT subtitle SaveAs option that supports user metadata.
* FX/Audio Transitions Dub and Mix now under Audio Filter.
* Improved Type 2 AVI parser.
* Automatically stop capture at end-of-tape (when AV/C enabled).
* Russian translation update.
* various bugfixes and cleanups.


V 0.9.2

Critical bug fixes over 0.9.1 release: bad FFMPEG DV rendering and segfault
when saving a project file.


V 0.9.1

* Many bugfixes due to recent changes (0.7.1 - 0.9.0).
* W3C SMIL 2.0 compliance in project file format.
  (Save As dialog supports saving to legacy XML format.)
* Export/MPEG can output audio as AC-3 if you have ffmpeg with AC-3 encoding
  enabled by specifying "ffmpeg" in the Advanced Options/Audio Encoding entry.
* Export/MPEG can encode video only by setting the Advanced Options/
  Audio Encoding entry blank.
* Export/MPEG/Advanced values are saved between sessions (maximum 512
  characters each).
* configure script now requires explicit --with-dv1394 if building without
  libiec61883 to make deprecation warning more obvious.


V 0.9.0

* Bugfixes to Export as a result of resampling changes in v0.8.1.

* Added third generation, simplified IEEE 1394 I/O via libiec61883.
  (dv1394 is still available when libiec61883 is not detected at configure
  step of build process. Also, one can force the usage of dv1394 rather
  than libiec61883 by using configure --with-dv1394.)

NOTE: some build configure options have changed slightly:
Use --enable-quicktime instead of --with-quicktime.
Use --enable-hotplug-script-dir instead of --with-....
Use --enable-hotplug-usermap-dir instead of --with-....


V 0.8.1

* Improved FX preview with enhanced interactivity
* Automatic dvdauthor, burning, and 'Q' DVD-Author integration
* Implemented locked audio in Export. This resolves a long-standing
  audio/video synchronization drift problem at Export when using DV sources
  with unlocked audio (consumer DV).
* Improved DV Pipe export scripts including new mencoder-based XviD
* Support for KINO_HOME environment variable as the location to store
  user-local configuration (kinorc) and scripts. (Default config file
  location is still ~/.kinorc.)
* User scripts in $KINO_HOME (default $HOME/kino) now follow the same
  directory structure and file name conventions as installed scripts:
  exports/* - extends Export/DV Pipe
  dvdauthor/* - extends Export/MPEG/dvdauthor processing
  import/media.sh - overrides default video import script
  publish/project.sh - defines File/Publish SMIL behaviour
  publish/frame.sh - defines File/Publish Still behaviour
* Added German translation (Tino H. Seifert and Martin Bruns)
* Updated Czech translation
* various bug fixes and UI cleanups

NOTE: The plugin interface changed to add virtual destructors to base classes
thereby breaking binary compatibility. Therefore, all external plugins must
be rebuilt.


V 0.8.0

IMPORTANT: This version requires GTK 2.6!

* Drop GNOME dependency for new features in GTK 2.6.
* Improved a/v sync on FX/Audio Transition/Dub and Mix.
* Bundle in FX plugins dvtitler and timfx including luma wipe images!
* Make Export/MPEG options automatically save between sessions (Alan Canon).
* Added aspect ratio override option to Export/MPEG (Alan Canon).
* New feature to specify a script to run on the dvdauthor XML file generated
  in Export/MPEG (Alan Canon).
* Improved Timeline performance.
* Improved FX layout.
* Improved Titler usability.
* ALSA (v1.0.9+) support (OSS still supported) (Troy Rollo)
* New feature to import nearly any media file using mencoder and/or FFMPEG.
* New H.264 MP4 export scripts (requires FFMPEG with x264).
* Improved quality and performance of FX Rendering when using FFMPEG libavcodec.
* New FX/Video Filter/Superimpose compositing filter.
* New Flash SWF export with XHTML generator.
* bugfixes.

I (Dan Dennedy) am experiencing severe stability issues when building with
FFMPEG libavcodec support and testing with PAL videos. It is working fine on
NTSC videos, however. I do not know if this is specific to my workstation or 
some library versions. Any feedback on your experience or patches welcome.

Kino will automatically move your old config/preferences file (~/.gnome2/kino)
to the new file (~/.kinorc) the first time you launch this version.

Kino automatically senses OSS or ALSA depending upon the value of the Audio
Device setting in Preferences--typically, "/dev/dsp" for OSS and "default" for
ALSA. For new users/installations (no existing config), the default is ALSA
device "default."

One can customise the import script $prefix/share/kino/scripts/import/media.sh.
The supplied script uses mencoder to decode the media file, if available; 
otherwise, it uses ffmpeg. The supplied script always uses ffmpeg to encode the
new file. One activates import simply by trying to open or insert a non-DV file.
The import settings are based upon the settings in the first frame of the 
project or based upon Preferences/Defaults for an empty project. It is not 
unusual for import to take a long time and use much disk space. The new file is 
created automatically in the same directory as the source media file and named 
the same as the source media file with a .'dv' extension added.


V 0.7.6

* Added Norwegian and Basque translations.
* 64 bit and big endian fixes.
* New and improved DV Pipe export scripts.
* bugfixes.


V 0.7.5

* New icons and About dialog image - thanks Andreas Nilsson!
* Added dual pass output in Export/DV Pipe.
* Addded a dual pass FFMPEG DVD export script.
* Bugfixes and type 2 AVI performance improvement.


V 0.7.4

* New Ogg Theora export when FFMPEG and ffmpeg2theora are installed.
  (http://www.v2v.cc/~j/ffmpeg2theora/)
* New application icon for desktop menu and window manager (thanks Eugenia).
* Added French and Czech translations.
* Added incomplete Spanish translation -- help is needed!
* Removed the V4L Preferences tab further obscuring this unsupported feature.
* Improved FFMPEG DivX export profiles and fallback to MP2 for audio encoding 
  when MP3 not available.
* Improved clicking on scrub bar behaviour.
* Added Home, End, PageUp, and PageDown keyboard commands.
* bugfixes

 
V 0.7.3

This is a bugfix release with a fixed up desktop entry file and an application
icon.

V 0.7.2

* various bugfixes especially in FX
* gcc 3.4 and other compilation fixes
* improved FreeBSD compatibility
* export script fixes for recent versions of ffmpeg
* added support for ShuttlePro2 and Griffin PowerMate Jog/Shuttle controllers
* improved interoperability with GIMP Animation Package (export stills and
  builtin multiple still import)
* support for GTK 2.4 File Chooser dialogs with preview capability!

V 0.7.1

Summary of changes:

* Added 3 point insert editing
* Trim does more editing now
* Added linear blend deinterlacer for video playback
* Added configurable metadata editing with content management server integration
* Add files to Storyboard as they are captured for immediate metadata entry
* Added scriptable functions to "publish" project file and still frame
* Added autosplit on timecode discontinuity--not just DV new recording flag
* Added duration and number of dropped frames display to Capture
* Added deinterlace and resampling options to Export/Stills
* Added dvdauthor XML export of Kino scenes to DVD chapters
* Added Export/DV Pipe script to use FFMPEG for DVD-Video (plus dvdauthor)
* Removed support for video1394 in Export/IEEE 1394 (only dv1394 now)
* Added support for JL Cooper and other HID-based USB Jog/Shuttle controllers
* Added hotplug support for USB Jog/Shuttle controllers
* Added mouse scroll wheel support for Jog and Shuttle functions
* More Jog/Shuttle button actions
* More keyboard commands
* Many, many small UI changes to be more consistent and HIG compliant
* Added more time display format options and change all frame entry widgets to 
  time-parsing widgets
* Revised FX UI layout to make less confusing and improve workflow
* Updated online help with some context sensitivity
* Danish translation

Notes to existing users:

* Kino now requires libdv 0.102 or newer.
* Frame numbers displayed and entered in the UI are now based on 0 instead of 1

Thanks:

* http://www.tagesschau.de/ for funding development of many new features.
* Matthias Oelmann for USB Jog/Shuttle work and coordinating tagesschau.de
  contract.
* Our PayPal donators.
* Mads Dydensborg for continued contribution; he is now listed as a Kino author.
* Greg Hookey for dvdauthor integration.
* MrProject for custom cell renderers


V 0.7.0

This is a major new release containing mainly a port to GTK2-based libglade.
There are still some GNOME dependencies although tight integration with
GNOME is not a goal, and we are striving to remove GNOME dependencies as
GTK expands. (Except we reserve the privelege to use the libgnomecanvas in
the future for a multi-track timeline.)

We prepared all GUI-oriented strings in the code as well as libglade for
non-English translations. We invite volunteers to prepare translations.

Perhaps the biggest change is the Storyboard view--called "scene list" in
previous versions of the online help. This version can display additional
metadata and sits within an adjustable (paned) frame. The information display
and command entry, etc., at the bottom of the window is more simple and
concise now. There is a pulldown to select the format of time information
used throughout. Overall, there are numerous GUI changes to make it tighter.
In particular, tabs are consistently on the right side now, the timeline
is faster and displays time, and window state is retained across sessions.

An interesting new feature is Export/DV Pipe extensible through shell scripts.
Basically, it makes Kino pipe raw DV to the script. This is very handy to use
with tools like smilutils and ffmpeg. Some example scripts are included, and
scripts are installed at $prefix/share/kino/scripts/exports.

Regarding plugins, existing plugins are not compatible and must be ported to
GTK2 as well. Currently, kinoplus and dvtitler have been ported and will be
released very soon.

V 0.6.5

This is a bugfix release. One of the biggest changes is the inclusion of
libsamplerate for superior audio resampling. This, combined with libdv from
CVS or next scheduled release 0.100, should fix most audio problems
encountered when dubbing or applying audio fx.

Another change is that Kino now reads the audio track from a Quicktime or
AVI type2 file. Previously, it would only read the DV video track, which,
by nature of the DV format, also includes audio. Other tools may mixdown the
audio into the audio track of these respective formats without additionally
encoding it into the DV video track. When Kino reads this audio track, it
encodes it into the DV stream in realtime so it can be exported properly
over IEEE 1394 without any additional step.

Finally, to fix compilation with gcc 3.3, gettext was re-added. Please do not
send translations for this version. This is the end of the GNOME1 code stream.
Translations will be gladly accepted for the upcoming GNOME2 0.7.0 release.

V 0.6.4

A major bug appeared v0.6.3 that affected DV capture. This release fixes that
while addressing a few additional bugs noticed in 0.6.4 with respect to the
scene strip/storyboard view.

We have also improved the compatibility of the AVI files we write. AVIs were
tested against a number of Windows applications including Windows Media Player
(DirectShow), Sonic Foundry Vegas Video, MainConcept MainActor, MGI VideoWave, 
ULead VideoStudio and VirtualDub in addition to popular Free Software titles 
like avifile, transcode, and mplayer. There remains an issue with video playback
in DirectShow AVI reading OpenDML type2 files.

A major new addition to this release is two pass DV encoding for greatly
improved results especially over multiple generations of decoding and encoding.
The sacrifice, of course, is performance. Two pass encoding is at least 2x the
speed of single pass and closer to 2.5x. You must enable it within Preferences
within the Other tab.

V 0.6.3

This release fixes a number of audio encoding issues, which also requires 
libdv version 0.99. Kino 0.6.3 will still use libdv 0.98, but libdv 0.99 is
required to completely fix it. Movie projects with mixed audio formats work
better now not only in FX, but new resampling options in Export provides a more
consistent stream to IEEE 1394 devices or DV output files.

This release adds support for dv1394. dv1394 is optional and is not the
default for both capture and export. As a result, Preferences has 
changed quite a bit to accomodate this change. If you have previously
had trouble exporting DV back to your camera because your camera did
not accept the signal, then you should try dv1394. It reportedly works
for nearly everyone where video1394 would not work. dv1394 is a new
module in kernel 2.4.19 and later, or you can get it from Linux 1394
Subversion. A special new feature with dv1394 is a "Preview on external
monitor" preferences display option. With this enabled, as you work
in Edit or Trim, all video preview is also output using dv1394! Carefully, read
the new dv1394 help page at http://www.linux1394.org/dv1394.html before
attempting to use it.

The release also adds support for Quicktime DV that is compatible
with Heroine Virtual's Broadcast 2000 or Cinelerra. This is native support
meaning you can capture to it, edit it, and export it using Export/DV File.
You must explicitly configure Kino for Quicktime using the --with-quicktime
configure option.

A major bug affecting Capture and AV/C was located and fixed. Enabling
AV/C would start a thread to poll for transport status and timecode.
There was a bug in the timecode routine that can deadlock the thread. For some
devices AV/C has not worked well. This was addressed partly with libavc1394 0.4.1
but Kino has made some improvements as well (including the above bugfix :-).
One additional improvement, which seems to help, is the AV/C Poll Interval
in preferences. The polling thread appears to be too intensive for some devices.
The default is now 200ms, which is a fairly safe value, but you can try
increasing it up to 999. On the other hand, my camera handles the lowest value
of 10ms just fine. Also, now Kino waits for 3 failures to retrieve this information
in a row before giving up and resetting the state of Kino's transport buttons.

There is some nice new user interface features too. First, there is the 
More Info panel that expands to show detailed information about the file, video
format, and audio format for the current frame. Second, in the scene strip
on the left of the window, the current scene highlights. The previous two
additions only work when timecode update is enabled, so if you are constrained
on CPU power, you can leave all these things disabled for better performance
although the overhead is very slight on and, for example, an AMD 800MHz shows
no penalty. Third, there is a newly designed scrub bar and trim control.
Finally, a convenient command reference window is available under the
Help menu or by pressing Ctrl+F1.

A cleanup option is added to Export/MPEG that is enabled by default.
Disable the option to prevent the exporter from deleting temporary 
files in case mplex fails. Also, there is a bugfix to properly split
into separate mpeg files for each scene--this option does not use mplex
splitting, so this works very good for creating multiple chapter DVDs 
with dvdauthor.

If you are a USB Jog/Shuttle user, then we now use the HID driver and not
custom modules. We do not know if this works OK with the Sony controller. If
you use the Sony controller, let us know. It it still easy to compile Kino
for use with the custom modules. However, the HID driver works good with the
Contour ShuttlePRO, loads nicely with hotplug, making this a more simple
ready-to-use option for users.Using a shuttle controller in conjunction with
the new Preview on External Monitor feature is very nice!  Note that keymappings
have changed some with the move to the HID driver; however, key mappings are now
configurable in Preferences. One can press the key (combinations too!) on the
controller with the dialog open to select it.

If you are trying to use Kino on a PowerPC, you can try to enable FFMPEG
libavcodec using the --with-avcodec options. The libavcodec DV decoder adds
accelleration for PowerPC whereas libdv does not. See configure --help or the 
README for more information. We will not be embedding any libavcodec source
code at this time to avoid any legal ramifications. Therefore, this option
may be out of sync with the latest libavcodec API from time-to-time.


V 0.60
This is largely a bugfix release. Capture still had serious issues
in 0.51. For example, if you disabled AV/C or Kino could not identify
your camera as an AV/C device, then the ability to capture was 
completely disabled even if Kino could preview a DV stream just fine.
Much of capture multi-threading was rewritten. As a result, there is 
much less CPU overhead in addition to more stability. Also, a key factor
for stability of AV/C in Capture for many devices is addressed in a 
new version of libavc1394 (0.4.1). Please install it if you have not
already from http://sourceforge.net/projects/libavc1394/.

As a result of some of the above changes, disabling AV/C control is 
no longer a Preferences option. Now, it is always disabled, and one
must toggle it on using the AV/C button in Capture. 

Large type 2 DV AVI files were also quite buggy in v0.51, and dvgrab 1.1 
betas 1 & 2 also create unreadable large type 2 (dv2) AVI files. AVI was 
seriously revisited in this release comparing our structures against
those from other applications. As a result, DV type 2 AVIs should be 
much more compatible with other applications. Also, padding within the 
AVI structures was tweaked to optimize disk input/output within both
type 1 and type 2 DV AVIs.

Other fixes include various memory consumption issues, user 
interface tweaks, and extensive audio/video playback performance 
improvements.

One new feature is that SMIL files can now save files with relative
file names--relative to the SMIL document's directory. Another is a loop
toggle button in Trim mode. Finally, the plugin API now provides access
the PlayList and Frame classes.

The user interface in Timeline changed a little. It automatically 
determines the frame interval to create enough thumbnails to fill
the window area and no more. It automatically chooses a range based
upon the current scene and immediately generates the thumbnails. One
can use the numeric spinners to zoom in within a scene or click 
a different scene from the scene list to set a different range and,
again, immediatley generate thumbails.


V 0.51
Many new features:
* large file (>2GB) support
* Trim mode (alter in- and out-edit points)
* Native Raw DV file support
* Join scenes
* Undo/Redo
* Capture into current movie
* export MPEG-1, MPEG-2, and DivX using mjpegtools 1.6.0
* export MP3 audio using LAME
* export Ogg Vorbis audio using oggenc
* audio resampling for mixed projects, better soundcard support
* FX mode for rendering backgrounds, transitions, image filters, 
  and audio effects with plugin API
* Drag-n-Drop in Scene list and from file manager
* Split on max file size in Capture and DV File export
* Save movie as lavtools (mjpegtools) ELI format
* NTSC drop-frame timecode
* updated online help
* new version of libdv
* various bugfixes and improvements

We have also added new developers to the project:
Mads Bondo Dydensborg <madsdyd@challenge.dk>,
Stefan Lucke <lucke@berlin.snafu.de>, and
Timothy M. Shead <tshead@k-3d.com>

Kino was covered nicely in the February, 2002 issue of Linux Journal
magazine. Thank you, Robin Rowe!


V 0.50
UI overhaul and nearly total rewrite. Read the online help and just
play around to see what all is new.

Notable additions:
* playlist is now SMIL
* export mutliple still frames
* export audio
* online help
* timeline (scene thumbnails)

bugfix: ParseRIFF used the physical file length instead of values in file
header. Therefore, AVI files containing unused bytes at the end crashed
Kino, because ParseRIFF tried to interpret the garbage.


V 0.46
This version mostly fixes critical bugs with memory consumption, audio 
initialization, and performance during capture when audio enabled and 
preview disabled.

This version fixes a bug writing AVI type 2 DV files thereby increasing
compatibility with other programs especially Windows video editors. dvgrab
has not yet been updated with this fix. We have retained backwards 
compatibility while reading old AVI dv2 files generated by dvgrab or Kino.
Note, however xdvplay (also from Arne Schirmacher will not read new 
AVI dv2 files generated by Kino. aviplay from the avifile project is able
to play both old and new dv2 files quite nicely.

The Contour ShuttlePro driver now implements all 9 buttons at the top.
The top four buttons are for editing:
paste before, cut to start of sequence, cut to end of sequence, paste after
The second row of five buttons are for navigation:
begin, start of/prev sequence, play/pause, next sequence, end

Contents of README moved to NEWS, and new README started.

V 0.45
****************************************************************************
IMPORTANT: 
An updated video1394 driver (video1394.h, video1394.c) is supplied
with this distribution. You must replace the existing driver in your
Linux kernel sources, recompile the modules, and reload the video1394
module.
****************************************************************************
This version fixes some bugs. Added preferences to set the audio device
name. I found one system that did not have a /dev/dsp, which was the 
hardcoded device, but did have /dev/audio! There was a bug introduced with
version 0.41 affecting playback performance due to audio support: with
audio disabled, audio was still decoded from the DV frame even though it
was not played back.

The space bar behaves different now; it toggles between play and pause.
I know it's not consistent with vi, but text editors just don't typically
have functions to automatically cursor through each character in a file!
I would expect more loose interpretation of the vi command set as the
functionality of Kino increases, but the goal is to continue to be
keyboard driven and switch between modes as vi does. Therefore, I switched
:w and :W too. :w now saves the playlist, and :W saves a new, composite AVI.
I did this because very soon we will use :W to switch into a general export
mode for different file formats as well as to the camera. The Kino playlist
is the native file format that corresponds more directly with the lower case
command.

We have added a drop frame option for the preview window. (We never
intentionally drop frames capturing to disk or during export!) This only
applies to the video displayed in the editor window. The drop
frame support attempts to produce gapless audio (reduce choppiness) as
well as play back at a normal time rate. However, slow machines (my AMD-333)
may still have slight gaps in the audio because decoding and playing back
audio alone is slower than the normal frame rate. Therefore, there is no
way to guarantee gapless audio. Also, for these slow machines, the minimum
framerate is one frame-per-second so at least you see some video updates.
You may not find that desirable or acceptable, but the hardware and dv
decoder are just not fast enough.

Now, currently, enabling drop frame is also required to slow down fast
machines. I know it sounds ironic, but the logic is intertwined with drop
frame processing. Just think of this setting as an attempt to maintain the
video's normal frame rate. This is not tested well. I could only test this
by using a low decoder quality setting on my AMD 800.

Using drop frame in conjunction with the DV decoder quality at a lower
setting, you might find an acceptable combination of speed and quality.
The second lowest setting is meaningful now and displays a non-
blocky monochrome picture. I find the second highest setting to enhance
performance while still having quite good quality. Also, just a 
clarification, the DV decoder quality option does not affect the output
of the AVI files or when exporting to the camera! 

We added support for Sony Jog/Shuttle (Asia market) and Contour ShuttlePro
USB controllers thanks to Tomoaki Hayasaka! ShuttlePro is popular in the
U.S., and can be purchased from many online retailers including
http://www.dvdirect.com/ for about USD $120. Look at the comments at the 
top of Makefile.jog to figure out how to setup. There are preferences items
to enable this and set the device name.

Also, we have a man page now through a contribution from Daniel
Kobras who will be cooking up some Debian packages for us.

If you are using kernel 2.4.7, you may find that video1394 crashes. An
updated video1394.c is supplied with this version.

V. 0.44
For PAL export, the value 1076129132 is required in the SYT offset field
in the Preferences dialog.

V. 0.43
IMPORTANT: use the new libavc1394 v0.2.2.
Bug fixes, see ChangeLog.
There is a new option in the Display Options tab of the Preferences dialog:
Enable preview during capture. If this is off, then the capture window
stops displaying the video during the actual process of capture (when
you click start grabbing). This is good for slower machines to prevent
dropped or corrupt video frames.

V. 0.42
Improved DV export for NTSC users. Thanks to Yamazaki Makoto for pointing
out an error in the 50/60 flag in the 1394 isochronous CIP headers.

V. 0.41
****************************************************************************
IMPORTANT: 
From this version on, libavc1394 and librom1394 are required.
You can get them from http://sourceforge.net/projects/libavc1394/.
Also, this version requires an updated video1394 driver that is supplied
with this distribution. You must replace the existing driver in your
Linux kernel sources, recompile the modules, and reload the video1394
module.
****************************************************************************

Dan Dennedy has contributed this version as Arne is quite busy lately.
This version's goals include componentization, user interface improvements,
and most importantly empowering users to tune DV export. Hopefully, we will
hear more success stories about DV export for NTSC users.

I, Dan Dennedy, am working on a number of components for linux1394.
The first of these is libavc1394 and librom1394. These
replace some code that was in Kino because the code was originally borrowed
from gscanbus. Also, the dvcont utility borrowed the AV/C and raw1394util
code from gscanbus. Therefore, it makes sense to turn these functions into
a shared object library. This version of Kino uses these components.

Kino 0.41 includes several user interface improvements. Most noticeable, 
audio playback is implemented now but only through OSS. It can be disabled 
in the display options tab of the preferences dialog. Please do not ask
for other audio playback methods (e.g., esd, ALSA) unless you want to
contribute them. We are looking at porting to the gstreamer framework,
which is very capable of accomodating many needs including different
audio playback methods. Next, key repeat is disabled to prevent the 
event queue from filling up on slow machines thereby forcing you to wait
for each frame update to occur. Only certain keyboard navigation commands
repeat until the key is released: next and previous frame, next and previous
second. Along with that feature, the Stop button in the main window toolbar
now works. Any keystroke also stops playback. You may find that if Kino 
crashes, key repeat is disable for the entire desktop until X is restarted.
Also, the current directory is remembered between file dialogs--no need to
keep changing to your project directory. Finally, preferences are saved to
~/.gnome/kino so you do not need to set them evey time you start Kino!

DV export continues to be a sore spot for NTSC users. Some PAL users have
experienced issues as well that were easy to cleanup once they were told
what changes to try in the source code. Well, this version makes some
minor improvements to the DV export algorithms at all levels including
the video1394 kernel driver. Furthermore, this version of Kino makes these
timing values that need to be adjusted available to the end user through
the preferences dialog. This helps greatly so you do not have to recompile
code, reload a driver module, and launch Kino with a video clip just to
test a tweak one of these values. Now, you can simply adjust and try the
export again!

My NTSC camera (Panasonic PV-DV910) works great with a fairly broad
range of values. Therefore, I estimate that these values, editable in
the IEEE 1394 Options tab of the preferences dialog represent the
limits that most any device could support:

Timing (NTSC users only): 1000-3300, the default is 2436.
SYT Offset (NTSC and PAL): 10000-23000, the default is 11000.

Yours in Freedom,
+-DRD-+

V. 0.35

The patches keep coming in. Dan has improved the timing when exporting
to a NTSC DV Camcorder. He also got the AV/C commands working. Note
that the export function requires a fairly new ieee1394 subsystem.

To save a frame as a jpg file, use the extension ".jpg". Or use
extensions ".gif", ".tif", ".ps" (and more) for additional formats.

It is no longer necessary to use a modified libdv library, as the
changes have made it into the official libdv version. You do need a
new version of libdv, because all earlier versions of libdv won't
work.  An unmodified snapshot of libdv is included. Please install it.

Kino should now compile on older XFree86 versions (3.x) that do not
have the Xv extension.

I have added more error checking and a function suggesting the
equivalent keyboard command when using the menu (hey, you can now use
Kino as a vi tutor).


V. 0.34

I merged in two patches: Dan Dennedy provided a bugfix for
Xv of NTSC images and Bill Allombert sent in code for saving
a frame as an image file.


V. 0.33
Jan. 11, 2001

After I got Peter Schlaile's modified video1394 driver and sample
code, I was able to put in a DV-Out function. Very cool. It seems to
be stable, at least for PAL. See the README_DVOUT file for more
details.

I modified the libdv code slightly so that I can use a faster gdk
function for displaying. Nothing interesting, just a different byte
ordering, but I hope this modification will make it into the official
libdv distribution. The new gdk function also does not show this
"tearing" effect during display.  The function is faster only when
using 24 bit display depth. Please install the included patched
version of libdv before compiling Kino (or enable the old code in
frame.cc and display.cc).


V. 0.32
Jan. 05, 2001

Kino now uses a recent version of libdv. It is included in this
package for your convenience, but you can always get the latest
version from http://sourceforge.net/projects/libdv/ .
You must install it before compiling Kino. See the instructions
in the libdv subdirectory.

There is now some rudimentary support for the Xv extensions. This
allows Kino to use hardware accelleration if the graphics card and
the X server supports it.
It is not turned on by default, please see the README_XV document
for more info.

If you have installed Jason Howard's dvcont program in
/usr/local/bin/dvcont, then the camcorder control buttons actually
work. This is of course a workaround, but I could not get the av/c
code working from inside Kino. 
dvcont is also included.

Bug fixes: Kino does not crash anymore when grabbing very long
NTSC Type 2 AVI files.


V. 0.31
Dec. 31, 2000

During editing of a few hundred MByte of DV footage I noticed that
files having more than 4028 frames could not correctly edited. This
has been fixed. 

Progress dialog for lengthy operations added.


V. 0.3
Dec. 28, 2000

I have merged my dvgrab program into Kino. To use the new function,
connect your DV camcorder and go into the "Capture" dialog. You should
already see live video when you open the dialog (if your camcorder is
turned on and either playing a tape or in camera mode). Click on the
"start grabbing" button to start capturing, then stop it by clicking
on the "stop grabbing" button.  Enter the file name and other options
in the "prepare grabbing" dialog.

For serious DV capturing please use "dvgrab", because the merged
source code had to be modified to fit into Kino and it may be less
reliable than dvgrab.

The current version of dvgrab is 0.89 and you can download it from
http://www.schirmacher.de/arne/dvgrab/ .

In case of problems please post your question in the Kino support forum:

http://www.schirmacher.de/cgi-bin/dcboard.cgi?az=list&forum=DCForumID4&conf=conference


V. 0.21
Nov. 24, 2000

After starting Kino, use the :r command to load one or more
AVI files with Digital Video (DV) content. Use the navigation
commands listed below to move around in your movie. You can
delete frames using the x command and insert more AVI or Kino
files at the current position.

The commands are very similar to the vi editor commands. Just
think of a frame as one character, a recording as one text line
and the whole movie as one text file.
emacs commands will follow.

When you are done, save the movie using the :w command in the
AVI file format. You can also save the playlist using the :W
(uppercase) command. The playlist contains the position and 
AVI file name for each single frame in the movie. It is in
ASCII format.


Planned commands (not all of them are available yet):

a. Navigation commands

Definitions:

frame: one image of the movie

sequence: the recording of one or more frames. Any frames which
recording time differs by no more than one second to their adjacent
frames belong to the same sequence.

movie: one or more sequences

Notes: Commands marked with a * aren't implemented yet.
The :r and :w commands use a file dialog. The range is currently
the whole movie.
 
l, right-arrow, space	Move one frame forward
h, left-arrow		Move one frame backward
ctrl-h, backspace	Move one frame backward
gg			Move to the start of the movie
G			Move to the end of the movie
0, ^			Move to the start of the current sequence
$			Move to the end of the current sequence
j, return, +		Move to the start of the next sequence
down-arrow, ctrl-n	Move to the start of the next sequence
k, up-arrow, ctrl-p, -	Move to the start of the previous sequence
ctrl-f			Move forward several sequences
ctrl-b			Move backwards several sequences
w			Move forward one second (25 or 30 frames)
b			Move backwards one second

x, dl, d space, del	cut the current frame
X, dh			cut the frame before the current frame*
dd			cut the current sequence
d$			cut from current frame to end of sequence
d^, d0			cut from start of sequence just before current frame
dw			cut one second*
dG			cut to end of movie*
dgg			cut from beginning of movie*

yl, y space		copy the current frame
yy, Y			copy the current sequence
yh			copy the frame before the current frame*
y$			copy from current frame to end of sequence
y^, y0			copy from start of sequence to current frame
yw			copy one second*
yG			copy to end of movie*
ygg			copy from beginning of movie*

p			paste after current frame
P			paste before current frame
	
:[#,#]w filename	writes the range of frames to an AVI file.**
:r filename		inserts a playlist or movie before the current frame**
:q			quits the program
:wq, :x, ZZ		saves and quits
ctrl-g			prints info
